GNU bug report logs - #36790
[PATCH 01/11] gnu: Add r-umap.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: zimoun <zimon.toutoune@HIDDEN>; Keywords: patch; merged with #36789, #36791, #36792, #36793, #36794, #36795, #36796, #36797, #36798, #36799, #36800; dated Wed, 24 Jul 2019 18:23:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36799 36800. Request was from zimoun <zimon.toutoune@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 36790 <at> debbugs.gnu.org:


Received: (at 36790) by debbugs.gnu.org; 24 Jul 2019 19:17:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 24 15:17:48 2019
Received: from localhost ([127.0.0.1]:38067 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqMlo-00010X-HC
	for submit <at> debbugs.gnu.org; Wed, 24 Jul 2019 15:17:48 -0400
Received: from mail-qt1-f173.google.com ([209.85.160.173]:43720)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>)
 id 1hqMli-0000zt-MO; Wed, 24 Jul 2019 15:17:44 -0400
Received: by mail-qt1-f173.google.com with SMTP id w17so2307554qto.10;
 Wed, 24 Jul 2019 12:17:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=bDQgvkI2T8+iyIZGQAyrlzreGd8+BkCDJdbFMMZBigo=;
 b=JO3kxNT5W1OPQOxDU4duM8b06+b2Og0Ih11q4uIGsOVj2qU5T+wFqZjIGjoTBlYjYi
 JY59rtRKn2Hr/8I9tZw55EifR8oMLNR8oGH3UzEuyTogTP+AWBR9XSg/3w2pcisTHKcv
 oejXCgMjdsvfIWcyMStp/aM218rn89RSd0fWkn+aPgklxQ8eV1gS5uO/KgUUQV+KOLDB
 l22ag+MRzEMX4hdp9yczIpbhIqZ+wuOEidP8VNksL4W5kOtS/alqntHEAe0NanZMN69K
 Cj8ye9vKd3OWJVfxW21nnRDTu6/SR/DjcV/i7177Wd5gPhDUVJRnOUE5LsnQHD1oxrpm
 I8oA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=bDQgvkI2T8+iyIZGQAyrlzreGd8+BkCDJdbFMMZBigo=;
 b=V+MEbqjzqlBk5Wv++zRZ6YZB+sBxtIr1LUFZVjPoxnYkh0H1ag0HBCHndAoPQ24gjF
 AUxAQt7TfcDospyXJe0GbxYJbc8jnYrZ0uPOg7QBBkyQDiMMcSgJ4Vpt+mWqBTsq/4ly
 QR90irCF5mNbCDa1GkOqYERZnwi8EOD3l8KKg7R4ut8zzhXrTJy+lSvGPTJ0ByiUVjlM
 vN/1AgFqo4q1qdQefc6+9Aozwkp86VH8OkdJQwkqBGV0wSsZCj9kO2m52/Ub+wEcqP0/
 JHusd8gGJ/+sOUmqYPWqhNzGiiKJ/NW4ULezrSvcQLYkdaI9cH+IN4gZqF7cT0NZJUrq
 fbSA==
X-Gm-Message-State: APjAAAWY4LKit3ul9Nq3Y+qFtCj0h6Zq/uGSpMJdGA83UfQJ580VMQsq
 H2NUywcJUC9J6N7rjFyjTOZEaNksTRlNBobTeHncksah
X-Google-Smtp-Source: APXvYqwSg1+YviEAu3iAD8pvdG3Tv6NLYNJlKbrruzJ8c6RTn3TEnfOadJqc96ncT77S7J9ipl9Tdt4T5MwCAmEop5c=
X-Received: by 2002:a0c:f788:: with SMTP id s8mr56709342qvn.35.1563995857036; 
 Wed, 24 Jul 2019 12:17:37 -0700 (PDT)
MIME-Version: 1.0
From: zimoun <zimon.toutoune@HIDDEN>
Date: Wed, 24 Jul 2019 21:17:26 +0200
Message-ID: <CAJ3okZ2J2BW+HmW+K6ziyED4x4NQb80ucCuf9Mpb+nuVBFT7Qg@HIDDEN>
Subject: Merge 36789 36790
To: control <at> debbugs.gnu.org, 36789 <at> debbugs.gnu.org, 36790 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36790
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

merge 36789 36790
thanks




Information forwarded to guix-patches@HIDDEN:
bug#36790; Package guix-patches. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36799 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Jul 2019 18:22:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 24 14:22:24 2019
Received: from localhost ([127.0.0.1]:37971 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqLuC-0005Kd-9C
	for submit <at> debbugs.gnu.org; Wed, 24 Jul 2019 14:22:24 -0400
Received: from lists.gnu.org ([209.51.188.17]:35128)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuB-0005KS-CP
 for submit <at> debbugs.gnu.org; Wed, 24 Jul 2019 14:22:23 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41025)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuA-0003G6-Cy
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:23 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLu9-0007AV-AO
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:22 -0400
Received: from mail-wr1-x436.google.com ([2a00:1450:4864:20::436]:39719)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <zimon.toutoune@HIDDEN>)
 id 1hqLu9-00079M-4g
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:21 -0400
Received: by mail-wr1-x436.google.com with SMTP id x4so47968393wrt.6
 for <guix-patches@HIDDEN>; Wed, 24 Jul 2019 11:22:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=wljyQX5T4Om4XmkiAWJsFHRSb3sTgG1+ANXwr1zpL+c=;
 b=NBFlpPpdptTzZRANsARv64zUWUJQvkHDh5R7eMVGR0W+0CabPRCcsiijdwPzh/xSPL
 CfZVUAsgbpVYHoC3iTC4IJplyE9te4fCjBBNDi7i5+eAMIccSVCk3gCxfwZIaUSCnj9R
 HG7qKXzJqz6V6p/lR236TxlRVaqkhKuRjQeNISR+ciZvz0JY17rn2pbw8pkkTCS0jfg5
 FpD1MS1urPuo1iMFg63btjJwcEX5R5K/fWpElm2U/in/Nb7FFL/SX+vrpPOl7aYEdJDE
 1uliZRz/jmUOCbBF3eIvHH2SOXnpzLJ1NXJGTUC6D+SDFJFVo/ZHdk4gT2e/EdgGh6Dc
 O8Qg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=wljyQX5T4Om4XmkiAWJsFHRSb3sTgG1+ANXwr1zpL+c=;
 b=coOPOw/ysEU+NRSaK/IsS8ILMkwxDXHvo/0sfWimNoU/Z41EymDJr/5s6dN2SpTmc+
 2WscNOaP0sY6nbSA+PB6/ntzTSV5pgFf7Gfg0q5BuE48uRb/UrNrFTUgozbx2rnUZ0kD
 4zmMDNJS+SLTd7MGnPBReFXk+cYAy5DkH3M+25/VHb8Rb0GFWx1CAX8Y0sLagjmny2uL
 oHoikU0QXa+EquU7GUu0O1ac7p2pYv7pDBOnJlwVi6wJv+nmNXI+jW75Y7IpVN84Jd1s
 L13suhZQsYk0b3gkx6IQLHBDS56ObvUpvv8VTEt6rfGNkJFqFpWO4Tx6JGlBIjf3ZwsQ
 xMAA==
X-Gm-Message-State: APjAAAVxP+VVshVunQ1PtQdh1FOS9/nNQx49TNH12DW4U+usUdiogJI5
 E/z+O8f+UTvUVF1AdlP2KIqSo0qr
X-Google-Smtp-Source: APXvYqx5+SQgoc0ZEl+FaovThgL7Cx0g06EtlJckwNwlmk3d+NE4bAtrL7H5H88BbSI4XZ/4k3OQrw==
X-Received: by 2002:a5d:51c1:: with SMTP id n1mr84349538wrv.254.1563992539918; 
 Wed, 24 Jul 2019 11:22:19 -0700 (PDT)
Received: from pfiuh02.univ-paris-diderot.fr ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id g12sm66116616wrv.9.2019.07.24.11.22.19
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 24 Jul 2019 11:22:19 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 01/11] gnu: Add r-umap.
Date: Wed, 24 Jul 2019 20:21:54 +0200
Message-Id: <20190724182204.6818-2-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.22.0
In-Reply-To: <20190724182204.6818-1-zimon.toutoune@HIDDEN>
References: <20190724182204.6818-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::436
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/cran.scm (r-umap): New variable.
---
 gnu/packages/cran.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/cran.scm b/gnu/packages/cran.scm
index 3f0d819df7..768a7d09c5 100644
--- a/gnu/packages/cran.scm
+++ b/gnu/packages/cran.scm
@@ -14530,3 +14530,30 @@ including regression, classification and ranking.  The package is made to be
 extensible, so that users are also allowed to define their own objectives
 easily.")
     (license license:asl2.0)))
+
+(define-public r-umap
+  (package
+    (name "r-umap")
+    (version "0.2.2.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (cran-uri "umap" version))
+        (sha256
+          (base32
+            "1s82w9gy1387h7cprjfbhp49l89zbmn3gc9s0wzqb1s73nza9n31"))))
+    (build-system r-build-system)
+    (propagated-inputs
+      `(("r-rcpp" ,r-rcpp)
+        ("r-reticulate" ,r-reticulate)
+        ("r-rspectra" ,r-rspectra)))
+    (home-page "https://github.com/tkonopka/umap")
+    (synopsis
+      "Uniform Manifold Approximation and Projection")
+    (description
+      "Uniform manifold approximation and projection is a technique for
+dimension reduction.  The algorithm was described by McInnes and Healy (2018)
+in <arXiv:1802.03426>.  This package provides an interface to the UMAP
+algorithm in R, including a translation of the original algorithm into R with
+minimal dependencies.")
+    (license license:expat)))
-- 
2.21.0





Acknowledgement sent to zimoun <zimon.toutoune@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#36790; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 24 Jul 2019 19:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.